<?php

namespace App\Providers;

use App\Settings\GeneralSettings;
use App\Settings\SeoSettings;
use App\Settings\SocialMediaSettings;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        view()->share('general', app(GeneralSettings::class));
        view()->share('social', app(SocialMediaSettings::class));
        view()->share('seo', app(SeoSettings::class));
    }
}
